import React from 'react';
import PropTypes from 'prop-types';
import classNames from 'classnames';
import {tagPropType, mapToCssModules} from './Shared/helper.js';

//component - CoreUI / CFooter

const CFooter = props=>{

  const {
    tag: Tag,
    className,
    cssModule,
    fixed,
    ...attributes
  } = props;

  /*
  const isFixed = fixed=>{
    if (fixed) { document.body.classList.add('c-footer-fixed'); }
  }

  //effect
  useEffect(() => {
    isFixed(props.fixed);
  },
  []);
  */

  //render

  const classes = mapToCssModules(classNames(
    className,
    fixed ? 'c-footer-fixed' : null,
    'c-footer'
  ), cssModule);

  return (
    <Tag className={classes} {...attributes} />
  );

}

CFooter.propTypes = {
  tag: PropTypes.oneOfType([PropTypes.func, PropTypes.string]),
  cssModule: PropTypes.object,
  className: PropTypes.string,
  children: PropTypes.node,
  fixed: PropTypes.bool,
};

CFooter.defaultProps = {
  tag: 'footer',
  fixed: true
};

export default CFooter;
